% DvorakJ --- A keyboard remapper
% blechmusik (blechmusik@gmail.com)
% 2012-01-18


ソフトウェアの概要
==================

　DvorakJ はキーボード配列を変更するフリーウェアです。
レジストリのキーマップや IME のローマ字かな変換表を編集せずに、キーボード配列を変更します。
文字キーにくわえてテンキーやファンクションキーの機能も変更できます。
USB メモリでこのソフトウェアを持ち運べば、好みのキーボード配列の設定をどこでも使用することが可能です。

　DvorakJ では直接入力用と日本語入力用のキーボード配列を個別に設定します。
直接入力用配列についてはいわゆる[英語配列][^ascii]や[Dvorak 配列]を使用できます。
日本語入力用配列は、[AZIK]のようにキーを順に打鍵する配列と、[NICOLA 配列]や[新下駄配列]のようにキーを同時に打鍵する配列を使用できます。
さらに、直接入力と日本語入力の両方とも、テキスト形式の設定ファイルを編集することで、利用者が独自に作成したキーボード配列を使用できます。


　DvorakJ は、キーボード配列を変更するソフトウェアにとどまらず、各種入力をより容易にするソフトウェアでもあります。
ここでは DvorakJ に実装している機能を三つ紹介します。
第一はいわゆる [SandS (Space and Shift)] で、これは [Space] を押しながら [文字] を押すと [Shift] と [文字] を押したことにする機能です。
第二はマウスカーソルをくるくる回すとスクロールする機能です。
第三は、独自のショートカットキーで、定型文を出力したりカーソルを動かす機能です。

　ただし、DvorakJ は [Caps Lock] や [ひらがな] を [Ctrl] として動作させられません。
OS の仕様上、レジストリやドライバを変更しない限り、そのようには動作を変更できないのです[^cap2ctrl]。
もっとも、これらのキーを [Back Space] へと変更したり、直接入力に切り替えるキーとすることならできます。

　DvorakJ のソースコードは NYSL の条件で公開しています。

[英語配列]: http://ja.wikipedia.org/wiki/%E3%82%AD%E3%83%BC%E9%85%8D%E5%88%97#101.E3.82.AD.E3.83.BC.E3.83.9C.E3.83.BC.E3.83.89 "キー配列 - Wikipedia （101キーボード）"

[^ascii]: ASCII 配列と呼ばれることもあります。

[Dvorak 配列]: http://ja.wikipedia.org/wiki/Dvorak%E9%85%8D%E5%88%97 "Dvorak配列 - Wikipedia"

[AZIK]: http://hp.vector.co.jp/authors/VA002116/azik/azikindx.htm

[NICOLA 配列]: http://nicola.sunicom.co.jp/info2.html

[新下駄配列]: http://kouy.exblog.jp/13627994/

[SandS (Space and Shift)]: http://hp.vector.co.jp/authors/VA002116/sands/

[^cap2ctrl]: たとえば [Ctrl2cap] を使用すれば動作をそのように変更できます。 [Ctrl2Capツールで［Ctrl］と［CapsLock］キーを入れ替える － ＠IT] を参照して下さい。

[Ctrl2cap]: http://technet.microsoft.com/ja-jp/sysinternals/bb897578


[Ctrl2Capツールで［Ctrl］と［CapsLock］キーを入れ替える － ＠IT]: http://www.atmarkit.co.jp/fwin2k/win2ktips/1182ctrl2cap/ctrl2cap.html


ソフトウェアを公開しているウェブページ
======================================

以下のウェブページで最新版と過去の版を公開しています

* [DvorakJ: a portable freeware remapping your keyboard layout](<http://blechmusik.xii.jp/dvorakj/>)

Vector でもソフトウェアを公開しています（ただし最新版ではない可能性があります）

* [Vector：DvorakJ (WindowsNT/2000/XP/Vista / ユーティリティ) - ソフトのダウンロード](<http://www.vector.co.jp/soft/dl/winnt/util/se480857.html>)

動作を確認している OS
=====================

* Windows 8 Developer Preview 64 bit
* Windows 7 Home Premium      64 bit Service Pack 1
* Windows Vista               32 bit Service Pack 2
* Windows XP                  32 bit Service Pack 3

ソフトウェアのライセンス
========================

ソースコード
  : ["NYSL Version 0.9982"](<http://www.kmonos.net/nysl/>)[^source-code]

アイコン
  : [Creative Commons - Attribution 3.0 United States](<http://creativecommons.org/licenses/by/3.0/us/deed.en>)[^icon]

上記以外
  : [GNU General Public License v2.0](<http://www.gnu.org/licenses/gpl-2.0.html>)[^others]


[^source-code]: 煮るなり焼くなりご自由にどうぞ。
[^icon]: DvorakJ が使用しているアイコンのライセンス、すなわち [FatCow.com] が提供する [2400 Free "Farm-Fresh Web Icons"] のライセンスを適用します。
[^others]: DvorakJ が使用しているアプリケーション [AutoHotkey_L] が採用しているライセンスを適用します。


[FatCow.com]: http://www.fatcow.com/
[2400 Free "Farm-Fresh Web Icons"]: http://www.fatcow.com/free-icons
[AutoHotkey_L]: http://l.autohotkey.net/

新しい版への移行方法
====================

　新しい版の導入方法は二通りあります。
一つはプログラムによって新しい版を自動的に導入する方法です。
メニューの「ヘルプ」の「DvorakJ の更新情報を取得する」を選択するとすぐに、設定項目の「その他」の「起動時にソフトウェアの更新情報を取得する」を有効にするとソフトウェアの次回起動時に、新しい版が公開されていれば自動的に導入します[^updater]。

　もう一つは新しい版を手動で導入する方法です。
ウェブサイトから最新のファイルをダウンロードし、展開してすべて上書きしてください。

　新しい版を導入した結果正常に動作しなくなったときには、別フォルダに新しい版のファイルを展開してみてください。


ソフトウェアの削除方法
======================

　関連するファイルをすべて削除してください。
具体的には、zip ファイルの展開後に現れるフォルダを削除してください。

ソフトウェアのヘルプページ
==========================

* <http://blechmusik.xii.jp/dvorakj/>

連絡先
======

　ソフトウェアの不具合の報告や要望等に関しては、以下のいずれかの連絡先にお寄せ下さい。
日記についてはどのエントリーにコメントを投稿してもかまいません。

日記
  : <http://d.hatena.ne.jp/blechmusik2/>

twitter
  : <http://twitter.com/blechmusik>

メール
  : <blechmusik@gmail.com>

更新履歴
========

[更新履歴のページ] を参照してください。

[更新履歴のページ]: ./history.html

[^updater]: 以前は DvorakJ_Updater.exe 単体を起動しない限り、最新のプログラムを自動的には導入しませんでした。
現在では、新しい版を確認する処理であればどれでも、最新のプログラムを自動的に導入します。

<!--
Local Variables:
coding:utf-8-dos
mode: markdown
mode: pandoc
pandoc-input: "Single View"
End:
-->
